package hk.advanpro.android.core;


import android.content.Context;

import hk.advanpro.android.core.config.AdvanproCoreConfig;

/**
 * Created by jalin on 2017/12/7.
 */

public class AdvanproCore {
    private static AdvanproCoreConfig config;
    private static AdvanproCore core = new AdvanproCore();

    public static void initWithConfig(AdvanproCoreConfig config) {
        if (config != null) {
            core.setConfig(config);
        }
    }

    public static void setConfig(AdvanproCoreConfig config) {
        AdvanproCore.config = config;
    }

    public static Context getAppContext() {
        if (config == null)
            return null;
        return config.getAppContext();
    }

    public static AdvanproCoreConfig getConfig() {
        return config;
    }

    public static AdvanproCore getCore() {
        return core;
    }

    public static boolean isDebug() {
        if (config != null)
            return config.isDebug();
        return false;
    }
}
